Gecode::MiniModel::StateNode Class Reference

Node together with state information More...

## Public Attributes

PosSet * | pos
int | state
StateNode * | next
StateNode * | left
StateNode * | right

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Support::BlockClient< StateNode, Heap >
static void * | operator new (size_t s, BlockAllocator< StateNode, Heap, 512 > &ba)
| Allocate memory from block allocator ba.
static void | operator delete (void *, BlockAllocator< StateNode, Heap, 512 > &ba)
| Noop (memory freed only when block allocator deleted).

## Detailed Description

Node together with state information

Definition at line 662 of file reg.cpp.

## Member Data Documentation

## pos

PosSet* Gecode::MiniModel::StateNode::pos

Definition at line 664 of file reg.cpp.

## state

int Gecode::MiniModel::StateNode::state

Definition at line 665 of file reg.cpp.

## next

StateNode* Gecode::MiniModel::StateNode::next

Definition at line 666 of file reg.cpp.

## left

StateNode* Gecode::MiniModel::StateNode::left

Definition at line 667 of file reg.cpp.

## right

StateNode* Gecode::MiniModel::StateNode::right

Definition at line 668 of file reg.cpp.

The documentation for this class was generated from the following file:

- gecode/minimodel/reg.cpp